/* This file is part of Cloudy and is copyright (C) 1978-2003 by Gary J. Ferland.
 * For conditions of distribution and use, see copyright notice in license.txt */
/*expion VERY simple two level cooling, do de-excitation or transfer,
 * complete removal of this routine is high on the to-do list */
#include "cddefines.h"
#include "phycon.h"
#include "expion.h"

double expion(double bltz, 
  double abund)
{
	double boltz, 
	  expion_v;

#	ifdef DEBUG_FUN
	fputs( "<+>expion()\n", debug_fp );
#	endif

	/* factor in front of call is C.S. * 8.6E-6/GLOW * HNU
	 * edensqte is eden / sqrte
	 * */
	if( abund > 0. )
	{
		boltz = bltz*phycon.teinv;
		if( boltz < 20. )
		{
			expion_v = abund*phycon.edensqte*exp(-boltz);
		}
		else
		{
			expion_v = 0.;
		}
	}
	else
	{
		expion_v = 0.;
	}

#	ifdef DEBUG_FUN
	fputs( " <->expion()\n", debug_fp );
#	endif
	return( expion_v );
}

